### Function

# Gdkcontent_deserialize_finish

#### Declaration [src]

    gboolean
    gdk_content_deserialize_finish (
      GAsyncResult* result,
      GValue* value,
      GError** error
    )

#### Description [src]

Finishes a content deserialization operation.

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult`

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  Return location for the result of the operation.

  The argument will be set by the function.
  The data is owned by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful. In this case, `value` is set. `FALSE` if an error occurred. In this case, `error` is set.